Bug 207310 - problem compiling ATI kernel modules: header versions?
problem compiling ATI kernel modules: header versions?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 12:24 EDT by Garrett Mitchener
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 00:42:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garrett Mitchener 2006-09-20 12:24:03 EDT
Description of problem:


Version-Release number of selected component (if applicable):

kernel-devel-2.6.17-1.2647.fc6

How to reproduce:

Download the ATI driver package version 8.28.8, which should be here:

https://support.ati.com/ics/support/default.asp?deptID=894&task=knowledge&folderID=27

and run it.  Ask it to build a package:

./ati-driver-installer-8.28.8.run --buildpkg Fedora/FC6

It fails with these error messages:

ATI module generator V 2.0
==========================
initializing...
cat: /lib/modules/2.6.17-1.2647.fc6/build/include/linux/version-*.h: No such
file or directory
Error:
kernel includes at /lib/modules/2.6.17-1.2647.fc6/build/include do not match
current kernel.
they are versioned as ""
instead of "2.6.17-1.2647.fc6".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
error: Bad exit status from /tmp/ATI-fglrx-8.28.8-1-10778-root/tmp/rpm-tmp.45539
(%install)


RPM build errors:
    Bad exit status from /tmp/ATI-fglrx-8.28.8-1-10778-root/tmp/rpm-tmp.45539
(%install)
Removing temporary directory: fglrx-install

The same errors about the header files show up in
/usr/share/fglrx/fglrx-install.log if you run 

./ati-driver-installer-8.28.8.run

and use the GUI to build the kernel modules. (The Xorg driver from this package
installs properly and once you use 'aticonfig --initial' to put a Device section
for it in /etc/xorg.conf, X runs okay, just no DRI.)

I don't know whether this is a problem with ATI's code or the kernel development
package.
Comment 1 Warren Togami 2006-09-28 00:42:11 EDT
It is the responsibility of the 3rd party driver provider to fix their
distributed source or packages.  This is not a Fedora bug.
Comment 2 Jarod Wilson 2006-09-28 10:00:28 EDT
Also note that this is fixed in ATI's latest driver, 8.29.something, which I
actually built/installed last night on a core duo iMac.

Note You need to log in before you can comment on or make changes to this bug.